## yorick-mpeg 0.1

=== Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/lib/yorick/2.1
Y_EXE=/usr/lib/yorick/2.1/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/lib/yorick/2.1
Y_EXE_SITE=/usr/share/yorick/2.1

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=mpeg
PKG_I=mpeg.i

OBJS=ympeg.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=-Llibavcodec -lavcodec
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS=-Ilibavcodec
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=test.mpg

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=mpgtest.i

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

AVCODEC_H=libavcodec/avcodec.h libavcodec/common.h libavcodec/bswap.h
ympeg.o: libavcodec/libavcodec.a $(AVCODEC_H)

clean::
	cd libavcodec; $(MAKE) clean

libavcodec/libavcodec.a:
	cd libavcodec; $(MAKE)

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c


# -------------------------------------------------------- pkg_mngr


# for the binary package production (add full path to lib*.a below):
PKG_DEPLIBS_STATIC=-lm 
PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
# or linux or windows
PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
# .info might not exist, in which case he line above will exit in error.

# packages or devel_pkgs:
PKG_DEST_URL = packages

package:
	$(MAKE)
	$(LD_DLL) -o $(PKG_NAME).so $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
	cp -p $(PKG_I) binaries/$(PKG_NAME)/dist/y_site/i0/
	cp -p $(PKG_I_EXTRA) binaries/$(PKG_NAME)/dist/y_site/i/
	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_ARCH)/' > tmp.info
	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz $(PKG_NAME)

distbin:
	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/tarballs/ \
	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz; fi
	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/info/ \
	  binaries/$(PKG_NAME)/$(PKG_NAME).info; fi

distsrc:
	make clean; rm -rf binaries
	cd ..; tar --exclude binaries --exclude .svn -zcvf \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
	   ../$(PKG_NAME)-$(PKG_VERSION)-src.tgz


# -------------------------------------------------------- end of Makefile

=== libavcodec/Makefile ===
#
# This bears essentially no resemblance to the original,
# which bore the following notice:
# libavcodec Makefile
# (c) 2000-2003 Fabrice Bellard
#

MAKE=make
CC=gcc
AR=ar
RANLIB=ranlib
STRIP=strip
OPTFLAGS=-O3 -g -ansi -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
LIBPREF=lib
LIBSUF=.a

# following is necessary on Linux systems to avoid SELinux problems
# if you link this to a shared library (like mpeg.so)
# see  http://people.redhat.com/drepper/textrelocs.html
PICFLAG=-fPIC

# NOTE: -I.. is needed to include config.h
CFLAGS=$(OPTFLAGS) $(PICFLAG) -DHAVE_AV_CONFIG_H -I.. -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE

OBJS= common.o utils.o mem.o dsputil.o mpegvideo.o mpeg12.o imgconvert.o \
      ratecontrol.o motion_est.o integer.o simple_idct.o jfdctint.o

ASM_OBJS=

LIB= $(LIBPREF)avcodec$(LIBSUF)

all: $(LIB)

$(LIB): $(OBJS)
	rm -f $@
	$(AR) rc $@ $(OBJS)
	$(RANLIB) $@

# common.h->../config.h bswap.h
# avcodec.h->common.h
# dsputil.h->common.h avcodec.h
# mpegvideo.h->dsputil.h
AVCODEC_H=avcodec.h common.h bswap.h ../config.h
common.o: $(AVCODEC_H)
utils.o: integer.h mpegvideo.h dsputil.h $(AVCODEC_H)
mem.o: $(AVCODEC_H)
dsputil.o: simple_idct.h dsputil.h $(AVCODEC_H)
mpegvideo.o: mpegvideo.h simple_idct.h dsputil.h $(AVCODEC_H)
imgconvert.o: dsputil.h $(AVCODEC_H)
mpeg12.o: mpegvideo.h dsputil.h $(AVCODEC_H)
ratecontrol.o: mpegvideo.h dsputil.h $(AVCODEC_H)
motion_est.o: mpegvideo.h dsputil.h $(AVCODEC_H)
integer.o: integer.h common.h bswap.h ../config.h
simple_idct.o: simple_idct.h dsputil.h $(AVCODEC_H)
jfdctint.o: dsputil.h $(AVCODEC_H)

clean:
	rm -f *.o *.d *~ .depend $(LIB) *.so

distclean: clean
	rm -f Makefile.bak .depend

=== debian/changelog ===
yorick-mpeg (0.1-4) unstable; urgency=medium

  * Team upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Use correct Vcs-* fields.
  * debian/copyright: Use SPDX-Compatible name (lintian).

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Mar 2022 19:21:14 -0400

yorick-mpeg (0.1-3) unstable; urgency=low

  * Bug fix: "FTBFS: No rule to make target `check.i&#39;, needed by
    `check-dll&#39;", thanks to Daniel Schepler (Closes: #725509).
  * Update uploader address.
  * Check against policy 3.9.4.
  * Canonicalize VCS fields.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 07 Oct 2013 14:13:16 +0200

yorick-mpeg (0.1-2) unstable; urgency=low

  * Move to maintenance to the debian-science team. Update debian/control
    to comply with their policy:
    + change Maintainer, put self in Uploaders;
    + DM-Upload-Allowed: yes;
    + fill-in Vcs-* fields;
    + Priority is extra.
  * Configure in a patch rather than running yorick -batch make.i at build
    time which may cause unpatch to fail because it's not a good idea to
    modify the same file (Makefile) both at patch-time and build-time.
  * Fix machine readable copyright format
  * Remove dh-make template header from rules
  * Suggest yorick-av
  * Simplfiy debian/rules with short dh notation
  * Fortify (don't rely on yorick to provide right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 29 Jun 2012 09:22:31 +0200

yorick-mpeg (0.1-1) unstable; urgency=low

  * Initial Release. Closes: #443920

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 28 Mar 2012 20:20:27 +0200

=== debian/control ===
Source: yorick-mpeg
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Thibaut Paumard <thibaut@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 yorick-dev (>= 1.6.02),
Standards-Version: 4.6.0
Homepage: http://github.com/dhmunro/yorick-mpeg
Vcs-Git: https://salsa.debian.org/science-team/yorick-mpeg.git
Vcs-Browser: https://salsa.debian.org/science-team/yorick-mpeg

Package: yorick-mpeg
Architecture: any
Depends:
 yorick (>= 1.6.02),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 yorick-av,
Description: MPEG output support for the Yorick language
 This is a compiled add-on for yorick (an interpreted computer
 language specialized for numerical and scientific problems).
 Yorick-mpeg adds support for writing MPEG1 movies. You may
 be interested in the yorick-av package instead, which adds support
 for more movie file formats.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)" \
	        OPTFLAGS="$(CFLAGS) $(CPPFLAGS)"

override_dh_auto_test:

override_dh_auto_install-arch:
	dh_installyorick --infofile=debian/yompeg.info

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean

=== debian/watch ===
version=3
http://www.maumae.net/yorick/packages/src/mpeg-(.*)-src\.tgz
